# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class ExtensionDescription.Handler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.AbstractExtension.AttributesHandler
              com.google.gdata.data.ExtensionPoint.ExtensionHandler
                  com.google.gdata.data.ExtensionDescription.Handler

Enclosing class:
  ExtensionDescription

    public class ExtensionDescription.Handler

extends ExtensionPoint.ExtensionHandler

Reads the ExtensionDescription XML format

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint.ExtensionHandler
`extendedClass, extManifest, extProfile, hasExtensions`

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`ExtensionDescription.Handler(ExtensionProfile configProfile, java.lang.ClassLoader configLoader, java.util.List<com.google.gdata.util.common.xml.XmlNamespace> namespaces, org.xml.sax.Attributes attrs)`

Method Summary

Methods inherited from class com.google.gdata.data.ExtensionPoint.ExtensionHandler
`getChildHandler, processEndElement`

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionDescription.Handler

    public ExtensionDescription.Handler(ExtensionProfile configProfile,
                                        java.lang.ClassLoader configLoader,
                                        java.util.List<com.google.gdata.util.common.xml.XmlNamespace> namespaces,
                                        org.xml.sax.Attributes attrs)
                                 throws ParseException

Throws:
  `ParseException`